
package de.ivu.elect.presentation.gebietsbaum.form;

import java.util.List;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;
import de.ivu.elect.business.gebietsbaum.entity.GebietsartConstants;
import de.ivu.elect.presentation.AbstractEntitySelectOneMenuProperty;

/**
 *  on 04.06.2015.
 */
public abstract class AbstractGebietsartEntitySelectOneMenuProperty extends AbstractEntitySelectOneMenuProperty<Gebietsart> {

  public AbstractGebietsartEntitySelectOneMenuProperty(List<Gebietsart> values, boolean hasNoSelectionItem) {
    super(values, hasNoSelectionItem);
  }

  @Override
  protected String getMessageKeyEntityEinzahl() {
    return GebietsartConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public String getItemLabel(Gebietsart gebietsart) {
    return gebietsart.getName();
  }
}
